/*
 *   This is part of the Reker - Library.
 *   Copyright (C) 1999  Frank Reker <frank@reker.net>
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



/************************************************************************
 * Begin misc - header							*
 ************************************************************************/



/*
 * reverse the bits in a 32 bit word
 */

extern long reverse_bits (register long n);



/*
 * reverse the bits in a 16 bit word
 */

extern short reverse_bits16 (register short n);



/*
 * reverse the bits in a 8 bit word
 */

extern char reverse_bits8 (register char n);





/*
 * rfree frees a pointer if it is not NULL and sets it to NULL
 */

#if defined rfree
#undef rfree
#endif

#define rfree(ptr) if (ptr) { \
			free ((void *) ptr); \
			ptr = NULL; }

/*
 * once is a loop that is executed exactly once, but can be left with break
 */

#if defined once
#undef once
#endif

#define once switch (1) default:
	

